LEN

php7 安装mongodb ,redis拓展
目前 php7拓展下载地址 http://pecl.php.net/package/mongodb我没有选择 st...
扫描右侧二维码阅读全文
25
2016/09

php7 安装mongodb ,redis拓展

目前 php7拓展下载地址 http://pecl.php.net/package/mongodb
我没有选择 stable 版 反正测试 用个最新的 http://pecl.php.net/get/mongodb-1.2.0alpha3.tgz
history 日志

 1024 wget http://pecl.php.net/get/mongodb-1.2.0alpha3.tgz
 1025  ls
 1026  tar zxvf mongodb-1.2.0alpha3.tgz
 1027  ls
 1028  cd mongodb-1.2.0alpha3

 1030  phpize

 1032  ./configure  --with-php-config=/usr/local/php7/bin/php-config
 1033  make && make install
 1034  php7 -m
 1035  php -m |grep mongp

 1037  ll /usr/local/php7/lib/php/extensions/no-debug-non-zts-20160303/
 1038  cd /usr/local/php/
 1039  ls
 1040  cd etc/

 1056  cd php7/

 1065  vim php.ini
 1066  php-fpm
 1067  pkill -9 php-fpm
 1068  php-fpm

 1072  pwd
 1073  vim php.ini
 1074  ps -ef |grep php
 1075  nginx -s stop
 1076  ps -ef |grep php
 1077  netstat -tunpl
 1078  ps -ef |grep php-fpm
 1079  pkill -9 php-fpm
 1080  ps -ef |grep php-fpm
 1081  php-fpm
 1082  cat /usr/local/php7/lib/php/extensions/no-debug-non-zts-20160303/
 1083  ll /usr/local/php7/lib/php/extensions/no-debug-non-zts-20160303/
 1084  php-fpm
 1085  ps -ef |grep php-fpm
 1086  pkill -9 php-fpm
 1087  ps -ef |grep php-fpm
 1088  ll /usr/local/php7/lib/php/extensions/no-debug-non-zts-20160303/

 1096  cd php7/
 1097  ls
 1098  cd etc/

 1100  vim php-fpm.conf
 1101  ls
 1102  cd php.ini
 1103  vim php.ini
 1104  php-fpm
 1105  nginx
 1106  php -m
 1107  php -m|grep mongodb
 1108  cd /data/src/

 1114  wget http://pecl.php.net/get/redis-3.0.0.tgz
 1115  ls
 1116  tar zxvf redis-3.0.0.tgz
 1117  cd redis-3.0.0
 1118  ls
 1119  phpize
 1120  ./configure  --with-php-config=/usr/local/php7/bin/php-config
 1121  make && make install
 1122  vim /usr/local/php7/etc/php.ini
 1123  cd /usr/local/php7/
 1124  cd etc/
 1125  ls
 1126  cd ..
 1127  ls
 1128  ll /usr/local/php7/lib/php/extensions/no-debug-non-zts-20160303/
 1129  pkill -9 php0-
 1130  pkill -9 php-fpm
 1131  php-fpm
 1132  php -m |grep redis
 1133  history

都需要vim php.ini 文件添加拓展

最后修改:2017 年 03 月 10 日 12 : 49 AM
如果觉得我的文章对你有用,请随意赞赏

发表评论